Eclipse Platform Release 3.7

## org.eclipse.update.core.model
Class InstallAbortedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.runtime.CoreException
                  org.eclipse.update.core.model.InstallAbortedException

All Implemented Interfaces:
  Serializable

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class InstallAbortedException

extends CoreException

Exception thrown when the user cancelled an installation.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`InstallAbortedException(String msg, Exception e)` Deprecated. Construct the exception indicating enclosing CoreException

Method Summary

Methods inherited from class org.eclipse.core.runtime.CoreException
`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstallAbortedException

    public InstallAbortedException(String msg,
                                   Exception e)

  Deprecated.
  Construct the exception indicating enclosing CoreException

  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.